<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.dist&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.dist</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Distutils extensions and utilities
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id369">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.dist._VariableExtender.html">_VariableExtender</a></td>
    <td><span class="undocumented">No class docstring; 1/2 methods documented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html">KiwiInstallLib</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.dist.KiwiInstallData.html">KiwiInstallData</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.dist.html#get_site_packages_dir">get_site_packages_dir</a></td>
    <td><span>Gets the relative path of the site-packages directory
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.dist.html#listfiles">listfiles</a></td>
    <td><span>Lists all files in directories and optionally uses basic shell
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.dist.html#compile_po_files">compile_po_files</a></td>
    <td><span>Compiles po files to mo files.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.dist.html#listpackages">listpackages</a></td>
    <td><span>Recursivly list all packages in directory root
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.dist.html#setup">setup</a></td>
    <td><span>A drop in replacement for distutils.core.setup which
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.dist.get_site_packages_dir"></a>
        <a name="get_site_packages_dir"></a>
        <div class="functionHeader">
        
        def get_site_packages_dir(*dirs):
        
      </div>
        <div class="functionBody">
          
          <div><p>Gets the relative path of the site-packages directory</p>
This is mainly useful for setup.py usage:
<pre class="py-doctest">
<span class="py-prompt">&gt;&gt;&gt; </span>setup(...
<span class="py-output">          data_files=[(get_site_packages_dir('foo'),</span>
<span class="py-output">                       files..)])</span></pre>
where files is a list of files to be installed in a directory called foo
created in your site-packages directory
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">dirs</td><td>directory names to be appended
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.listfiles"></a>
        <a name="listfiles"></a>
        <div class="functionHeader">
        
        def listfiles(*dirs):
        
      </div>
        <div class="functionBody">
          
          <div>Lists all files in directories and optionally uses basic shell matching,
example:
<pre class="py-doctest">
<span class="py-prompt">&gt;&gt;&gt; </span>listfiles(<span class="py-string">'data'</span>, <span class="py-string">'glade'</span>, <span class="py-string">'*.glade'</span>)
<span class="py-output">['data/glade/Foo.glade', 'data/glade/Bar.glade', ...]</span></pre>
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">dirs</td><td>directory parts
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.compile_po_files"></a>
        <a name="compile_po_files"></a>
        <div class="functionHeader">
        
        def compile_po_files(domain, dirname='locale'):
        
      </div>
        <div class="functionBody">
          
          <div>Compiles po files to mo files. Note. this function depends on gettext 
utilities being installed
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">domain</td><td>gettext domain
</td></tr><tr><td></td><td class="fieldArg">dirname</td><td>base directory
</td></tr><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">a list of po files
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.listpackages"></a>
        <a name="listpackages"></a>
        <div class="functionHeader">
        
        def listpackages(root, exclude=None):
        
      </div>
        <div class="functionBody">
          
          <div>Recursivly list all packages in directory root Optionally exclude can be
specified which is a string like foo/bar.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">root</td><td>directory
</td></tr><tr><td></td><td class="fieldArg">exclude</td><td>optional packages to be skipped
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.setup"></a>
        <a name="setup"></a>
        <div class="functionHeader">
        
        def setup(**kwargs):
        
      </div>
        <div class="functionBody">
          
          <div>A drop in replacement for distutils.core.setup which integrates nicely 
with kiwi.environ
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Variables</td><td class="fieldArg">resources</td><td></td></tr><tr><td></td><td class="fieldArg">global_resources</td><td></td></tr><tr><td></td><td class="fieldArg">templates</td><td>List of templates to install
</td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>